Bug 1551674 - subscription page unusable with many hosts registered
Summary: subscription page unusable with many hosts registered
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.2.7
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: John Mitsch
QA Contact: jcallaha
URL:
Whiteboard:
Depends On: 1422307
Blocks: 1479962 1545876
TreeView+ depends on / blocked
 
Reported: 2018-03-05 16:53 UTC by sthirugn@redhat.com
Modified: 2019-08-12 16:03 UTC (History)
18 users (show)

Fixed In Version: rubygem-katello-3.0.0.168-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1422307
Environment:
Last Closed: 2018-05-21 20:16:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 19394 None None None 2018-03-05 16:53:51 UTC
Red Hat Product Errata RHBA-2018:1672 None None None 2018-05-21 20:17:13 UTC

Comment 1 sthirugn@redhat.com 2018-03-05 16:54:51 UTC
Note: This is already delivered with 6.3. This is a tracking bug to ship this with 6.2.z

Comment 3 pm-sat@redhat.com 2018-03-05 17:23:27 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 4 pm-sat@redhat.com 2018-03-05 17:23:34 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19394 has been resolved.

Comment 6 jcallaha 2018-04-27 18:54:19 UTC
Verified in Satellite 6.2.15 Snap 2

I registered ~50k hosts with the same subscription.
Then I turned off the subscription_returns_host_data setting.
Although the subscription page too approximately 9 minutes to load, clicking the individual subscription link returned immediately.

Additionally, when trying to view associated content hosts, I see the following message.

"This subscription is not attached to any content hosts. If you are receiving this message and you have content hosts subscribed, please ensure the "Susbcription returns host data" setting is enabled in the Katello tab found in Settings."

Comment 9 errata-xmlrpc 2018-05-21 20:16:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1672


Note You need to log in before you can comment on or make changes to this bug.